<?php

use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateContentsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('contents', function (Blueprint $table) {
            $table->increments('id');
            $table->timestamps();
            $table->integer('user_id')->unsigned()->nullable()->default(null);

            $locales = ['en'];
            foreach ($locales as $locale) {
                $table->string('title_' . $locale, 255);
                $table->mediumText('content_' . $locale);
            }

            $table->string('slug', 191);
            $table->boolean('is_published');

            $table->unique('slug', 'slug_unique');
            $table->index('user_id', 'index_user');

            $table->foreign('user_id', 'fk_contents_users')
                ->references('id')
                ->on('users')
                ->onUpdate('cascade')
                ->onDelete('set null');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('contents');
    }
}
