<?php

namespace AltSolution\Admin\Forms;

use AltSolution\Admin\Form;
use AltSolution\Admin\Modules\Menu\MenuFormInterface;

class MenuForm extends Form\AbstractFactory implements MenuFormInterface
{
    public function buildForm(Form\BuilderInterface $builder)
    {
        $itemId = $builder->getData('id');

        $builder->form([
            'method' => 'post',
            'action' => route('admin::menu_save'),
        ]);

        $builder->hidden('id');
        $builder->text('name', [
            'label' => trans('admin::menu.f_name'),
            'help' => trans('admin::menu.h_name'),
            'required' => true,
            'rules' => 'max:45|unique:menus,name,' . $itemId,
        ]);
        $builder->text('description', [
            'label' => trans('admin::menu.f_description'),
            'help' => trans('admin::menu.h_description'),
            'required' => true,
            'rules' => 'max:245',
        ]);
    }
}