<?php

namespace AltSolution\Admin\Modules;

use AltSolution\Admin\System\AbstractModule;
use AltSolution\Admin\System\MenuBuilder;
use AltSolution\Admin\System\OptionBuilder;
use AltSolution\Admin\System\PermissionBuilder;
use AltSolution\Admin\System\SeoBuilder;
use Illuminate\Routing\Router;

class CronModule extends AbstractModule
{
    public function buildMenu(MenuBuilder $builder)
    {
        $builder->addSection(trans('admin::cron.ms_name'), 'far fa-clock', route('admin::cron_list'))
            ->setAlias('cron')
            ->setWeight(150)
            ->setPermission('cron.list');
    }

    public function buildPermissions(PermissionBuilder $builder)
    {
        $builder->addSection('cron', 'admin::cron.ps_name')
            ->setWeight(50);
        $builder->addPermission('cron.list', 'admin::cron.p_list');
        $builder->addPermission('cron.edit', 'admin::cron.p_edit');
        $builder->addPermission('cron.delete', 'admin::cron.p_delete');
    }

    public function registerRoutes(Router $router)
    {
        $controller = app('admin.controller.cron');

        $router->get('cron', [$controller, 'getIndex'])->name('cron_list');
        $router->get('cron/edit/{id?}', [$controller, 'getEdit'])->name('cron_edit');
        $router->post('cron/save', [$controller, 'postSave'])->name('cron_save');
        $router->post('cron/action', [$controller, 'action'])->name('cron_action');
    }
}